CVE-2016-2841

NameCVE-2016-2841
DescriptionThe ne2000_receive function in the NE2000 NIC emulation support (hw/net/ne2000.c) in QEMU before 2.5.1 allows local guest OS administrators to cause a denial of service (infinite loop and QEMU process crash) via crafted values for the PSTART and PSTOP registers, involving ring buffer control.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-1599-1
Debian Bugs817181

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)buster1:3.1+dfsg-8+deb10u8fixed
buster (security)1:3.1+dfsg-8+deb10u12fixed
bullseye1:5.2+dfsg-11+deb11u3fixed
bullseye (security)1:5.2+dfsg-11+deb11u2fixed
bookworm1:7.2+dfsg-7+deb12u5fixed
sid, trixie1:8.2.4+ds-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusourcejessie1:2.1+dfsg-12+deb8u8DLA-1599-1
qemusource(unstable)1:2.6+dfsg-1817181
qemu-kvmsource(unstable)(unfixed)

Notes

[wheezy] - qemu <no-dsa> (Minor issue)
[wheezy] - qemu-kvm <no-dsa> (Minor issue)
http://git.qemu.org/?p=qemu.git;a=commit;h=415ab35a441eca767d033a2702223e785b9d5190 (v2.6.0-rc0)
https://bugzilla.redhat.com/show_bug.cgi?id=1303106
https://www.openwall.com/lists/oss-security/2016/03/02/8

Search for package or bug name: Reporting problems